// Copyright 1998-2017 Epic Games, Inc. All Rights Reserved. 
namespace UnrealBuildTool.Rules
{
	public class MyMessageLogRuntime : ModuleRules
	{
		public MyMessageLogRuntime(ReadOnlyTargetRules Target) : base(Target)
		{
			PublicDependencyModuleNames.AddRange(
				new string[]
				{
					"Core",
					"CoreUObject",
					"Engine",
					"Slate",
					"SlateCore",
					"EditorStyle",
					"UMG",
					// ... add other public dependencies that you statically link with here ... 
				}
			);

			if (Target.bBuildEditor)
			{
				PublicDependencyModuleNames.AddRange(
					new string[]
					{
						"UnrealEd",
						"MessageLog",
					}
				);
			}
		}
	}
}
